import { r as registerInstance, h } from './index-f1b570f9.js';
var sSaqhanLentaNewsCardCss = ".lenta-img{background-image:url(\"https://via.placeholder.com/900x900?text=Visit\")}.img-news{height:308px;background-size:cover}.btn-custom{padding:10px 20px;font-size:12px;border-radius:10px}.lenta-news{padding-bottom:20px;-ms-flex:1;flex:1}.lenta-img{width:110px;height:110px;background-size:cover;border-radius:3px;margin-right:35px}.lenta-news img{width:110px;height:110px}.lenta-info{-ms-flex:2;flex:2}.lenta-title{font-size:15px}.btn-read a{color:#000000;font-weight:700;-webkit-transition:0.3s all;transition:0.3s all;border-bottom:1px solid #000}.btn-read a:hover{text-decoration:none;color:#007bff;border-bottom:1px solid #007bff;cursor:context-menu}.lenta-title{min-height:58px;margin-top:10px;line-height:1.2}.img-news{height:308px;background-size:cover}.btn-custom{padding:10px 20px;font-size:12px;border-radius:10px}.btn-read a{color:#000000;font-weight:700;-webkit-transition:0.3s all;transition:0.3s all;border-bottom:1px solid #000}.btn-read a:hover{text-decoration:none;color:#007bff;border-bottom:1px solid #007bff;cursor:context-menu}";
var SSaqhanLentaNewsCard = /** @class */ (function () {
    function SSaqhanLentaNewsCard(hostRef) {
        registerInstance(this, hostRef);
        this.ColorCategory = function (nameCategory) {
            var classCategory = "category lenta-category small";
            switch (nameCategory) {
                case "Report":
                    return "report " + classCategory;
                case "Webinar":
                    return "webinar " + classCategory;
                case "Blog Post":
                    return "blog-post " + classCategory;
            }
        };
    }
    SSaqhanLentaNewsCard.prototype.render = function () {
        return (h("div", { class: "lenta-news d-flex justify-content-between" }, h("div", { class: "lenta-img pr-4" }, " "), h("div", { class: "lenta-info" }, h("div", { class: this.ColorCategory(this.lentaNews.category) }, this.lentaNews.category), h("div", { class: "lenta-title font-weight-bold pt-1" }, this.lentaNews.title), h("div", { class: "btn-read" }, h("a", { href: "/second-page/" }, this.lentaNews.btnText)))));
    };
    return SSaqhanLentaNewsCard;
}());
SSaqhanLentaNewsCard.style = sSaqhanLentaNewsCardCss;
var sSaqhanMainNewsCardCss = ":host{display:block}.img-news{background-image:url(\"https://via.placeholder.com/635x308?text=Visit\")}.btn-custom{padding:10px 20px;font-size:12px;border-radius:10px}.btn-read a{color:#000000;font-weight:700;-webkit-transition:0.3s all;transition:0.3s all;border-bottom:1px solid #000}.btn-read a:hover{text-decoration:none;color:#007bff;border-bottom:1px solid #007bff;cursor:context-menu}.img-news{height:308px;background-size:cover}.img-news img{width:100%;height:315px}.btn-custom{padding:10px 20px;font-size:12px;border-radius:10px}.category-news{font-weight:600}.btn-read a{color:#000000;font-weight:700;-webkit-transition:0.3s all;transition:0.3s all;border-bottom:1px solid #000}.btn-read a:hover{text-decoration:none;color:#007bff;border-bottom:1px solid #007bff;cursor:context-menu}@media (max-width: 768px){.main-news{margin-bottom:20px}}@media (max-width: 992px){.img-news img{height:auto}}";
var SSaqhanMainNewsCard = /** @class */ (function () {
    function SSaqhanMainNewsCard(hostRef) {
        registerInstance(this, hostRef);
        this.ColorCategory = function (nameCategory) {
            var classCategory = 'category category-news pt-3 small';
            switch (nameCategory) {
                case 'Report':
                    return "report " + classCategory;
                case "Webinar " + classCategory:
                    return "webinar " + classCategory;
                case 'Blog Post':
                    return "blog-post " + classCategory;
            }
        };
    }
    SSaqhanMainNewsCard.prototype.render = function () {
        return (h("div", { class: "main-news" }, h("div", null, h("div", { class: "img-news m-auto" }), h("div", { class: this.ColorCategory(this.mainNews.category) }, this.mainNews.category), h("div", { class: "title-news pt-3 h2 font-weight-bold" }, this.mainNews.title), h("div", { class: "sub-title-news pt-3 pb-3 text-muted" }, this.mainNews.subTitle), h("a", { href: "/second-page/", class: "btn btn-primary btn-custom" }, this.mainNews.btnText))));
    };
    return SSaqhanMainNewsCard;
}());
SSaqhanMainNewsCard.style = sSaqhanMainNewsCardCss;
export { SSaqhanLentaNewsCard as s_saqhan_lenta_news_card, SSaqhanMainNewsCard as s_saqhan_main_news_card };
