'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-679d8d77.js');

const sSaqhanAuthorInfoCss = ".content-text{max-width:625px;margin:auto;width:100%;margin-bottom:15px}";

const SSaqhanAuthorInfo = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    getAuthor(arr) {
        return arr.map((item) => item);
    }
    render() {
        return (index.h("div", { class: "container" }, index.h(CardAuthor, { author: this.getAuthor(this.author) })));
    }
};
const CardAuthor = (props) => {
    return props.author.map((item) => {
        return (index.h("div", { class: "content-text" }, index.h("hr", null), index.h("s-saqhan-card-author", { author: item })));
    });
};
SSaqhanAuthorInfo.style = sSaqhanAuthorInfoCss;

const sSaqhanLineBookCss = ".banner{width:80%;max-height:320px;background-color:#000;padding:50px 20px;margin:80px 0;color:#fff;border-top-right-radius:5px;border-bottom-right-radius:5px}";

const SSaqhanLineBook = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    getBanner(arr) {
        return arr.map(item => item);
    }
    render() {
        return (index.h("div", null, index.h(Banner, { bannerPost: this.getBanner(this.banner) })));
    }
};
const Banner = (props) => {
    return (props.bannerPost.map(item => {
        return index.h("div", { class: "container" }, index.h("s-saqhan-card-banner", { bannerPost: item }));
    }));
};
SSaqhanLineBook.style = sSaqhanLineBookCss;

const sSaqhanQuoteTextCss = ".quote-text{padding-left:50px;margin:30px 0;padding-left:50px;font-weight:600;border-left:5px solid #000000}";

const SSaqhanQuoteText = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("div", { class: "container" }, index.h("div", { class: "row" }, index.h("div", { class: " col " }, index.h("div", { class: "quote-text" }, "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Adipisci assumenda delectus dignissimos dolore eius eligendi eum excepturi hic iure iusto labore nisi nobis nulla pariatur quo sapiente, suscipit veritatis voluptatem. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Adipisci assumenda delectus dignissimos dolore eius eligendi eum excepturi hic iure iusto labore nisi nobis nulla pariatur quo sapiente, suscipit veritatis voluptatem.")))));
    }
};
SSaqhanQuoteText.style = sSaqhanQuoteTextCss;

exports.s_saqhan_author_info = SSaqhanAuthorInfo;
exports.s_saqhan_line_book = SSaqhanLineBook;
exports.s_saqhan_quote_text = SSaqhanQuoteText;
