import { Component, Prop, h } from "@stencil/core";
export class SSaqhanEventsBlog {
    getEvents(arr) {
        return arr.map((item) => item);
    }
    render() {
        return (h("div", { class: "container" },
            h("div", { class: " pt-5 pb-5" },
                h("div", { class: "col-12" },
                    h("h1", { class: "font-weight-bold block-title" }, "Upcoming events")),
                h("div", { class: "row" },
                    h(EventsPost, { event: this.getEvents(this.events) })))));
    }
    static get is() { return "s-saqhan-events-blog"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-events-blog.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-events-blog.css"]
    }; }
    static get properties() { return {
        "events": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "events",
            "reflect": false
        }
    }; }
}
const EventsPost = (props) => {
    return props.event.map((item) => {
        return (h("div", { class: "col-12 col-md-6 col-lg-4" },
            h("s-saqhan-event-card", { event: item })));
    });
};
