import { Component, h, Prop } from '@stencil/core';
export class SSaqhanNewsCard {
    render() {
        return (h("div", { class: "container list-items" },
            h("div", { class: "row item" },
                h("div", { class: "col-12 col-sm-4" },
                    h("div", { class: "item-img", style: { backgroundImage: 'url(' + this.news.img + ')' } })),
                h("div", { class: "col" },
                    h("div", { class: "item-title" },
                        h("a", { href: "/" }, this.news.title)),
                    h("div", { class: "item-info" },
                        h("div", { class: "item-author" },
                            h("a", { href: "/" }, this.news.author)),
                        h("div", { class: "item-date" },
                            h("a", { href: "/" }, this.news.date)),
                        h("button", { class: "btn btn-primary btn-custom-head" }, this.news.category)),
                    h("div", { class: "item-sub-title" }, this.news.subTitle),
                    h("div", { class: "item-link" },
                        h("a", { href: "#" },
                            "Keep Readeing ",
                            h("i", { class: "fas fa-chevron-circle-right" })))))));
    }
    static get is() { return "s-saqhan-news-card"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-news-card.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-news-card.css"]
    }; }
    static get properties() { return {
        "news": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "news",
            "reflect": false
        }
    }; }
}
