import { Component, h, Prop } from '@stencil/core';
export class SSaqhanListNews {
    getNews(arr) {
        return arr.map(item => item);
    }
    render() {
        return (h("div", null,
            h(NewsItem, { news: this.getNews(this.news) })));
    }
    static get is() { return "s-saqhan-list-news"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-list-news.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-list-news.css"]
    }; }
    static get properties() { return {
        "news": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "news",
            "reflect": false
        }
    }; }
}
const NewsItem = (props) => {
    return (props.news.map(item => {
        return (h("div", { class: "container-fluid" },
            " ",
            h("s-saqhan-news-card", { news: item }),
            " "));
    }));
};
