import { Component, h, Prop } from '@stencil/core';
export class SSaqhanCardBanner {
    render() {
        return (h("div", { class: "row banner" },
            h("div", { class: "col" }),
            h("div", { class: "col-12 col-sm-5" },
                h("div", { class: "banner-title" },
                    " ",
                    this.bannerPost.title,
                    " "),
                h("div", { class: "banner-sub-title" }, this.bannerPost.subTitle),
                h("div", { class: "btn-read" },
                    h("button", { class: "btn btn-primary btn-custom-head btn-black-line" }, this.bannerPost.btnText))),
            h("div", { class: "col-4 right-banner" },
                h("img", { src: this.bannerPost.img, alt: "" }))));
    }
    static get is() { return "s-saqhan-card-banner"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-card-banner.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-card-banner.css"]
    }; }
    static get properties() { return {
        "bannerPost": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "banner-post",
            "reflect": false
        }
    }; }
}
