import { Component, h, Prop } from '@stencil/core';
export class SSaqhanLineBook {
    getBanner(arr) {
        return arr.map(item => item);
    }
    render() {
        return (h("div", null,
            h(Banner, { bannerPost: this.getBanner(this.banner) })));
    }
    static get is() { return "s-saqhan-line-book"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-line-book.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-line-book.css"]
    }; }
    static get properties() { return {
        "banner": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "banner",
            "reflect": false
        }
    }; }
}
const Banner = (props) => {
    return (props.bannerPost.map(item => {
        return h("div", { class: "container" },
            h("s-saqhan-card-banner", { bannerPost: item }));
    }));
};
